/* SP */
.custom-search-detail {
  @media (max-width: 768px) {

    .recruitment-card-list {
      display: flex;
      flex-direction: column;
      gap: 8px;
      padding-left: 0;
      padding-right: 0;
      margin-top: 0;
    }

    .searchbtn {
      width: calc(100% - 32px);
    }

    .container2 {
      position: sticky;
      bottom: 0;
      width: 100%;
      left: 0;
      right: 0;
    }

    .entry-btnbox {
      display: grid;
      gap: 8px 10px;
      justify-content: center;
      grid-template-rows: 1fr 1fr;
      grid-template-columns: 1fr 1fr;
    }

    #entry-btnboxall2 .entry-btnbox {
      grid-template-rows: 1fr;
      align-items: center;
    }

    #entry-btnboxall2 .entry-btnbox .favorite-button,
    #entry-btnboxall2 .entry-btnbox .searchbtn {
      width: 100%;
      min-width: 120px;
      justify-self: center;
    }

    #entry-btnboxall2 .notbutton {
      grid-row: 1 / 2;
      grid-column: 2 / 2;
    }

    #entry-btnboxall2 .entrybutton {
      grid-row: 1 / 2;
      grid-column: 1 / 2;
    }

    .entry-btnboxall h5 {
      font-size: var(--font-size-display-xsmall);
      font-weight: var(--font-weight-display-xsmall);
      line-height: var(--line-height-display-xsmall);
    }

    .entry-btnboxall.show {
      max-height: 158px;
    }

    .entry-btnboxall.show .entry-btnbox-background {
      background: unset;
      height: 158px;
    }

  }

  @media (max-width: 768px) {
    .container2 {
      width: 100%;
      left: 0;
      right: 0;
    }
  }


}